// Graphic Utility Toolkit
// Krisztian Pinter 2014

#ifndef _GUT_H_
#define _GUT_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// Vszon inicializlsa
void GUT_init(int w, int h);
// Inicializltsg lekrdezse
int  GUT_is_init();
// Vszon felszabadtsa
void GUT_close();
// BMP mentse
void GUT_output_bmp(char * fname);
// Rajzolszn belltsa
void GUT_set_color( int r, int g, int b );
// Pixel rajzolsa
void GUT_draw_pixel( int x, int y );
// Vonal rajzolsa
void GUT_draw_line( int x0, int y0, int x1, int y1);
// Kr rajzolsa
void GUT_draw_circle( int x, int y, int rad );

#endif