--http://en.wikipedia.org/wiki/Dragon_curve

local lp = require "luapaint"
local lt = require "luaturtle"

function dragon_curve(step, length, dir)
    if step == 0 then
        lt.forward(length)
    else
        lt.right(dir)
        dragon_curve(step - 1, length / math.sqrt(2),  45)
        lt.left(dir * 2)
        dragon_curve(step - 1, length / math.sqrt(2), -45)
        lt.right(dir)
    end
end

image(550,650)

lt.moveto(lp.point(200,500))

dragon_curve(12,400,45)
